HPRT AI Platform
开发者接入Overview

Create Job

POST
/api/v1/jobs

Header Parameters

Idempotency-Key?|null
X-Anonymous-Id?|null
X-Client-App?string|null
Authorization?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/jobs" \  -H "Content-Type: application/json" \  -d '{    "input": {}  }'
{  "actual_cost_micros": 0,  "completed_at": "2019-08-24T14:15:22Z",  "cost_currency": "string",  "created_at": "2019-08-24T14:15:22Z",  "credit_cost": 0,  "current_step_code": "string",  "data_home": "string",  "display_options": {    "property1": "string",    "property2": "string"  },  "edit_session_id": "338a9612-01d8-468c-a8f1-cb907f6743a0",  "error_code": "string",  "error_details": {},  "error_message": "string",  "estimated_cost_micros": 0,  "feature_code": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "output": {},  "parent_job_id": "dd63d5e7-6727-402c-8127-3fd32aa9072a",  "preset_code": "string",  "preset_display_name": {    "property1": "string",    "property2": "string"  },  "preset_version": 0,  "progress": 0,  "revision": 0,  "session_sequence": 0,  "started_at": "2019-08-24T14:15:22Z",  "status": "accepted",  "updated_at": "2019-08-24T14:15:22Z",  "waiting_for": {},  "workflow_code": "string",  "workflow_version": 0}